Get workspace settings
curl --request GET \
--url https://api.example.com/api/v1/workspaces/{workspace}/settings \
--cookie geo.session=import requests
url = "https://api.example.com/api/v1/workspaces/{workspace}/settings"
headers = {"cookie": "geo.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'geo.session='}};
fetch('https://api.example.com/api/v1/workspaces/{workspace}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "<string>",
"displayName": "<string>",
"domains": [
"<string>"
],
"about": "<string>",
"industry": "<string>",
"email": "<string>",
"brandColors": {
"primary": "<string>",
"secondary": "<unknown>",
"accent": "<unknown>",
"background": "<unknown>",
"text": "<unknown>"
},
"brandMeta": {
"faviconUrl": "",
"logoUrl": "<unknown>",
"fontNames": [
"<string>"
]
},
"socials": {
"linkedin": "",
"x": "<unknown>",
"github": "<unknown>",
"instagram": "<unknown>",
"youtube": "<unknown>",
"tiktok": "<unknown>"
},
"productsServices": "<string>",
"designMd": "<string>",
"icpSummary": "<string>",
"languages": [
"<string>"
],
"regions": [
"<string>"
],
"activeSetSize": 123,
"quotas": {},
"icon": {
"ext": "<string>",
"updatedAt": "<string>"
}
}API Reference
Get workspace settings
GET
/
api
/
v1
/
workspaces
/
{workspace}
/
settings
Get workspace settings
Authorizations
cookieAuthbearerAuth
Signed HttpOnly browser session cookie
Path Parameters
Pattern:
^[a-z0-9-]+$Response
200 - application/json
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I